#! /usr/bin/env node
const fs = require('fs');
const path = require('path');
const Zip = require('adm-zip');
const { exec } = require('child_process');

const projectName = process.argv.pop();
const dist = path.resolve(process.cwd(), projectName);

try {
  // create project directory
  if (!fs.existsSync(dist)) {
    
    fs.mkdirSync(dist);
    console.log('Creating project directory...');
    const zip = new Zip(path.resolve(__dirname, '../structure.zip'));
    zip.extractAllTo(dist + '/', true);

    // run npm i
    console.log('Installing packages...');
    exec(`cd ${dist} && npm i`, (err) => {

      if (err) console.log(`Cannot install npm. Please go to ${projectName} and run "npm i"`)
      else console.log('Finished!!!');
      process.exit(0);
    });

  } else {
    console.log('Directory exists. Choose another name')
  }

} catch (ex) {
  /* eslint-disable */
  console.log(ex);
  process.exit(1);
}